<script setup lang="ts">
import { isConciseBody } from 'typescript'
import { inject, ref, watchEffect, type Ref } from 'vue'
import { useRoute } from 'vue-router'
import { useUserStore } from '@/stores/user'

const rail = inject<Ref<boolean>>('rail') //เรียกตัวrailมาและกำหนดTypeตัวที่เข้ามาด้วย
const icon = ref('mdi-store')
const title = ref('D-Coffee')
const route = useRoute()
const userStore = useUserStore()

watchEffect(() => {
  // เปลี่ยนชื่อTitleเมื่อเปลี่ยนหน้า
  if (route.name === 'login') {
    icon.value = 'mdi-login'
    title.value = 'Login'
  } else if (route.name === 'pos') {
    icon.value = 'mdi-store'
    title.value = 'Point Of Sale'
  } else if (route.name === 'sm') {
    icon.value = 'mdi-package-variant-closed'
    title.value = 'Stock Management'
  } else if (route.name === 'cm') {
    icon.value = 'mdi-account-group'
    title.value = 'Customer Management'
  } else if (route.name === 'om') {
    icon.value = 'mdi-receipt-text-clock'
    title.value = 'Order Management'
  } else if (route.name === 'em') {
    icon.value = 'mdi-card-account-details'
    title.value = 'Employee Management'
  } else if (route.name === 'um') {
    icon.value = 'mdi-account-tie'
    title.value = 'User Management'
  } else {
    title.value = 'D-Coffee'
  }
})
</script>

<template>
  <v-app-bar :style="{ background: 'linear-gradient(to bottom, #844700, #D7AFA0)' }">
    <template v-slot:image> </template>

    <template v-slot:prepend>
      <v-app-bar-nav-icon @click.stop="rail = !rail"></v-app-bar-nav-icon>
    </template>

    <v-app-bar-title style="font-size: x-large; font-weight: bold; color: #5f3300"
      ><v-icon style="color: black">{{ icon }}</v-icon> {{ title }}
    </v-app-bar-title>
    <v-spacer></v-spacer>

    <v-list-item
      v-if="userStore.loggedInUser"
      :title="userStore.loggedInUser?.name"
      :subtitle="userStore.loggedInUser?.email"
    ></v-list-item>
  </v-app-bar>
</template>
